#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:log.py
    author:rabin

"""
from __load__ import *

class Log(Model):
	__table__ = 'log'
	__comment__ = '网关日志表'
	id = Fields(type='uuid', primaryKey=True, comment='日志ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID')
	gateway_id = Fields(type='uuid', comment='网关ID')
	content = Fields(type='text', comment='内容')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')